2022-12-15 01:44:29 UTC
46.5 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 5.8% (2.7 MB)
[#001] sha256:83645458457281ce38a47fd02d9b6dc80034efd250b5967b36f9a234efe31ea8 - 0.0% (1.21 KB)
[#002] sha256:2258a61affe1b6ebceb75ea8598e509ec90ed183b34808f8a796dd801b1810b7 - 94.2% (43.8 MB)
[#003] sha256:a78317d7c1e83f246965722dc807902471552ba7e9b29a5ec822e26ce59b27d8 - 0.0% (143 Bytes)
[#004] sha256:db409ea2912d0ef76d4dd752a75aca1f2950e1c57d4d8b0ce4c4b861ff139b57 - 0.0% (155 Bytes)
[#005] sha256:06a9cd49b47413ec9740724b5ecc99eaaabfbb9ba098bc9b2d6a0c69775e0608 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /
2022-08-09 17:38:47 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-12-15 01:44:11 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.8
2022-12-15 01:44:12 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.8 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-12-15 01:44:13 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-12-15 01:44:14 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-12-15 01:44:20 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-12-15 01:44:21 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-12-15 01:44:22 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-12-15 01:44:23 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-12-15 01:44:24 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-12-15 01:44:25 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-12-15 01:44:26 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-12-15 01:44:28 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-12-15 01:44:28 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-12-15 01:44:29 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-12-15 01:22:42 UTC
47.5 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 5.67% (2.69 MB)
[#001] sha256:425e0c61a3fce8581208f92409aebc45286f603c4d54b43b475ad8cdf14b5033 - 0.0% (1.24 KB)
[#002] sha256:0e37c9e899c1fd899ee2c7205bc62ebe5eff7f6716179fef522560964ceba571 - 94.32% (44.8 MB)
[#003] sha256:4e0b8c2f975e3208af6d243e363c4520c79c1400104051cdda66b85eb0b600b5 - 0.0% (176 Bytes)
[#004] sha256:8216eb97fba0f71cf91ce96e4f9a1a0b8bdd3b290e96c4c76ad34b6c8bbd5671 - 0.0% (154 Bytes)
[#005] sha256:366cd1a6024863672aa280b14682cc2b0ca5fd101cddd9f987d584f3d9e29638 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /
2022-08-09 17:20:01 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-12-15 01:22:33 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.8
2022-12-15 01:22:33 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.8 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-12-15 01:22:33 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-12-15 01:22:34 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-12-15 01:22:40 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-12-15 01:22:41 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-12-15 01:22:41 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-12-15 01:22:41 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-12-15 01:22:41 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-12-15 01:22:41 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-12-15 01:22:42 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-12-15 01:22:42 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-12-15 01:22:42 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-12-15 01:22:42 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-12-15 00:56:15 UTC
45.4 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 5.53% (2.51 MB)
[#001] sha256:26ec235161d4dd87c02ab8e813db6e3c783317dab2e1daa4c27de0cda1f01e11 - 0.0% (1.21 KB)
[#002] sha256:7f48a5b14c9d4d2e9ee87e526c730d9f352f226b529cf90183d5a5bef894d6cc - 94.46% (42.8 MB)
[#003] sha256:725d9fb62556d5148fb00595d5b6afcabe22318f5033fc6c4d4242b2f7b99d96 - 0.0% (143 Bytes)
[#004] sha256:7f2571f4e86c197588bcab34e03401b4397ebc7b20218fd2d14d026a30ec5a76 - 0.0% (153 Bytes)
[#005] sha256:cc344b8aede337d209b90ba247c2959de299fc1391427f30e108062b7058514a - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /
2022-11-10 20:49:36 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-12-15 00:56:05 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.8
2022-12-15 00:56:05 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.8 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-12-15 00:56:05 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-12-15 00:56:06 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-12-15 00:56:12 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-12-15 00:56:13 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-12-15 00:56:14 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-12-15 00:56:14 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-12-15 00:56:14 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-12-15 00:56:14 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-12-15 00:56:14 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-12-15 00:56:14 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-12-15 00:56:15 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-12-15 00:56:15 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-12-15 01:42:55 UTC
45.1 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 5.74% (2.59 MB)
[#001] sha256:269c4cc48ba73b0644fb9919a36d1d9418cf7f31bf9c6ea9ac01405ba7494d4d - 0.0% (1.24 KB)
[#002] sha256:fee6b135740341a691234642cc7f4698a7d19fb90a82d66ff2295db056f79852 - 94.25% (42.5 MB)
[#003] sha256:246cb566f3e87bcbd4e012829fcf624270d9aed3078ea018b60d223597cf0fc8 - 0.0% (176 Bytes)
[#004] sha256:4d571056386b1007695f53a9bea4b086bb05306e29eb59f81fbbcddea2ded362 - 0.0% (154 Bytes)
[#005] sha256:a1a5e1f0e97b4510338c2b64c18e0ac3e1401be5e9c0092eee50029f5911e81c - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /
2022-11-10 20:39:46 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-12-15 01:42:47 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.8
2022-12-15 01:42:47 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.8 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-12-15 01:42:47 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-12-15 01:42:47 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-12-15 01:42:53 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-12-15 01:42:54 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-12-15 01:42:54 UTC|1 CONSUL_VERSION=1.12.8 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-12-15 01:42:54 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-12-15 01:42:54 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-12-15 01:42:54 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-12-15 01:42:54 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-12-15 01:42:54 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-12-15 01:42:55 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-12-15 01:42:55 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]